Bug 1627562 - radosgw: dynamic resharding does not drop old bucket indexes
Summary: radosgw: dynamic resharding does not drop old bucket indexes
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: RGW
Version: 3.0
Hardware: x86_64
OS: Linux
high
high
Target Milestone: rc
: 3.2
Assignee: J. Eric Ivancich
QA Contact: Tejas
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-09-10 21:29 UTC by Vikhyat Umrao
Modified: 2019-01-03 19:02 UTC (History)
9 users (show)

Fixed In Version: RHEL: ceph-12.2.8-39.el7cp Ubuntu: ceph_12.2.8-36redhat1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-01-03 19:01:53 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 3625121 None None None 2018-09-26 00:26:31 UTC
Red Hat Product Errata RHBA-2019:0020 None None None 2019-01-03 19:02:06 UTC

Description Vikhyat Umrao 2018-09-10 21:29:35 UTC
Description of problem:
radosgw: dynamic resharding does not drop old bucket indexes
http://tracker.ceph.com/issues/34307


This is causing a lot of issues because of this bug - https://bugzilla.redhat.com/show_bug.cgi?id=1611763

Comment 5 J. Eric Ivancich 2018-11-21 15:04:40 UTC
Upstream Tracker: https://tracker.ceph.com/issues/37339
Upstream PR: https://github.com/ceph/ceph/pull/25142

Comment 12 errata-xmlrpc 2019-01-03 19:01:53 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:0020


Note You need to log in before you can comment on or make changes to this bug.